Bug 198011 - Missing device info in lspci in rhel5a1
Missing device info in lspci in rhel5a1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: hwdata (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks: 436987
  Show dependency treegraph
 
Reported: 2006-07-07 20:26 EDT by Bryan Stillwell
Modified: 2008-05-21 10:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHEA-2008-0331
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'lspci -vn' output (5.66 KB, text/plain)
2006-07-07 20:26 EDT, Bryan Stillwell
no flags Details
'lspci -v' output (7.01 KB, text/plain)
2006-07-07 20:29 EDT, Bryan Stillwell
no flags Details

  None (edit)
Description Bryan Stillwell 2006-07-07 20:26:00 EDT
Description of problem:
lspci is not reporting the proper subsystem information for a number of devices
in rhel5a1 (didn't see rhel5 as a valid version number, so I used rhel4)

Version-Release number of selected component (if applicable):
hwdata-0.180-1

How reproducible:
100%

Steps to Reproduce:
1. Run "lspci -v" on an Integrity system
  
Actual results:
Lots of unknowns such as:
Subsystem: Hewlett-Packard Company Unknown device 1291
Subsystem: Hewlett-Packard Company Unknown device 1292
Subsystem: Hewlett-Packard Company Unknown device 12d7

Expected results:
All devices having the proper device names

Additional info:
Comment 1 Bryan Stillwell 2006-07-07 20:26:44 EDT
Created attachment 132093 [details]
'lspci -vn' output
Comment 2 Bryan Stillwell 2006-07-07 20:29:55 EDT
Created attachment 132094 [details]
'lspci -v' output
Comment 3 Phil Knirsch 2006-07-18 08:26:18 EDT
Moved bug to proper Product and Version.

Additionally, the pci.ids file will be pulled from upstream before we go GA, so
please make sure that the relevant devices are in the upstream repository found at:

  http://pciids.sourceforge.net/

Read ya, Phil
Comment 4 Karsten Hopp 2006-11-09 08:28:20 EST
None of these pci ids have been submitted upstream yet. If they aren't in the
upstream repository when we pull them for our final release they won't be in
RHEL5-GA.
Please remove the 'NEEDINFO' flag when you've submitted those entries at 

http://pciids.sourceforge.net/
Comment 5 Karsten Hopp 2007-01-25 07:02:15 EST
Only 1291 'Auxiliary Diva Serial Port' has been submitted upstream, the others
won't be in RHEL-5
Comment 6 Bryan Stillwell 2007-04-05 19:05:45 EDT
The HP entries were fixed a while back, but apparently not in time for RHEL5. 

However, it appears that some NEC entries are unknown in my verification
machine.  I've heard that the PCI ID database maintainers frown on companies
editing other companies entries, so I'm wondering what RedHat's thoughts are on
getting these fixed?

lspci -vn output:
00:02.0 0c03: 1033:0035 (rev 43) (prog-if 10)
        Subsystem: 03f0:0226
00:02.2 0c03: 1033:00e0 (rev 04) (prog-if 20)
        Subsystem: 03f0:0326

lspci -v output:
00:02.0 USB Controller: NEC Corporation USB (rev 43) (prog-if 10 [OHCI])
        Subsystem: Unknown device 03f0:0226
00:02.2 USB Controller: NEC Corporation USB 2.0 (rev 04) (prog-if 20 [EHCI])
        Subsystem: Unknown device 03f0:0326

Thanks,
Bryan
Comment 8 Karsten Hopp 2007-05-07 07:32:24 EDT
If you know what devices those are, can you please post some short 
descriptions (just like the other PCI ids) ? Upstream would be best, but I can 
push them upstream as well when I have the descriptions.
Comment 9 Phil Knirsch 2007-06-05 05:24:18 EDT
Both entries aren't in the upstream PCI IDs repository so far (see
http://pciids.sourceforge.net/).

Unless we get the descriptions to push them upstream ourselves or NEC itself
submits them we can't logically update the pci.ids file properly.

Thanks,

Read ya, Phil
Comment 10 Karsten Hopp 2007-06-05 05:32:33 EDT
re: comment #6   > The HP entries were fixed a while back

I'v just checked upstream pci.ids, 103c 1291 is there, the other HP device IDs  
are still missing.
Comment 11 Rick Hester 2007-06-05 10:31:05 EDT
We are working on getting descriptions that HP owns updated.
Comment 12 Karsten Hopp 2007-06-19 08:11:40 EDT
Upstream still has only 103c:1291 which means that the other ids most probably
won't make it into the beta as the beta pull for the pci.ids is scheduled for
tomorrow (06/20/07)
Comment 13 Phil Knirsch 2007-07-03 07:50:59 EDT
In case the necessary updates make it into the upstream pci.ids before
08/15/2007  this will get into the RHEL 5.1.0 update. Otherwise it will have to
wait for RHEL 5.2.0.

Thanks,

Read ya, Phil
Comment 15 RHEL Product and Program Management 2007-10-16 00:10:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Phil Knirsch 2007-11-21 08:08:23 EST
Any update from HP if the missing entries have been submitted to upstream pciids?

Thanks,

Read ya, Phil
Comment 17 Alex Chiang 2007-11-29 14:03:39 EST
From the attachment in comment 1 and comment 2, these were the missing pci ids.
Of the missing ids, the following are already upstream, so please pull from
upstream to get them.

---------------------------------------------------------
VGA compatible controller: ATI Technologies Inc Radeon RV100 QY [Radeon 7000/VE]
(prog-if 00 [VGA])
Subsystem: Hewlett-Packard Company Unknown device 1292

Fibre Channel: QLogic Corp. QLA2422 Fibre Channel Adapter (rev 02)
Subsystem: Hewlett-Packard Company Unknown device 12d7

Fibre Channel: QLogic Corp. QLA2312 Fibre Channel Adapter (rev 03)
Subsystem: Hewlett-Packard Company Unknown device 12ba

RAID bus controller: Hewlett-Packard Company Hewlett-Packard Smart Array P600
Subsystem: Hewlett-Packard Company Unknown device 3225
---------------------------------------------------------

That leaves only this remaining one, which I will work on tracking down.

Communication controller: Hewlett-Packard Company Auxiliary Diva Serial Port
(rev 01)
Subsystem: Hewlett-Packard Company Unknown device 1291


Comment 18 Alex Chiang 2007-11-30 18:58:24 EST
Based on the hardware spec I found, I uploaded a rather generic description for
that last device here:

  http://pci-ids.ucw.cz/iii/iii.php?i=103c1290

Red Hat can pull from upstream as soon as the entry gets approved.
Comment 19 Phil Knirsch 2007-12-11 09:25:53 EST
The necessary changes should have landed in the Red Hat Enterprise Linux 5
Update 1 hwdata package.

Can someone with access to the necessary hardware please test if this is the
case? If so we could then close the bug as ERRATA.

Thanks,

Read ya, Phil
Comment 20 Scott Scriven 2007-12-12 21:03:12 EST
I'll take a look...  should be a fairly quick check.
Comment 21 Scott Scriven 2007-12-17 16:39:24 EST
So far, I've found the following:

Exists in PCIID DB, but is "unknown" in RHEL 5.1 GA:
  103c:1290 / 103c:1291  (Diva SP2)

Exists in PCIID DB, but is not yet verified in RHEL 5.1 GA:
  1002:5159 / 103c:1292  (Radeon 7000)
  1077:2312 / 103c:12ba  (2Gb Fibre Channel - Dual port [A6826A])
  103c:3220 / 103c:3225  (3Gb/s SAS RAID - Smart Array P600)

Included in RHEL 5.1 GA:
  1077:2422 / 103c:12d7  (4Gb Fibre Channel [AB379A])

Missing in PCIID DB:
  1000:0021 / 103c:1310  (A9918A [Core I/O for the rx76xx/rp7420 server])
  1000:0021 / 103c:1300  (AB306A [Core I/O for the rx86/rp8420 server])

The last two were just something I noticed, not part of the original set Bryan 
found.

Is there a newer version of hwdata available?
The latest I have is from RHEL 5.1 GA.
Comment 22 Scott Scriven 2007-12-17 19:27:44 EST
I've verified these three...

Included in RHEL 5.1 GA:
  1002:5159 / 103c:1292  (Radeon 7000)
  1077:2312 / 103c:12ba  (2Gb Fibre Channel - Dual port [A6826A])
  103c:3220 / 103c:3225  (3Gb/s SAS RAID - Smart Array P600)

So, the remaining IDs are:

Exists in PCIID DB, but is "unknown" in RHEL 5.1 GA:
  103c:1290 / 103c:1291  (Diva SP2)

Missing in PCIID DB:
  1000:0021 / 103c:1310  (A9918A [Core I/O for the rx76xx/rp7420 server])
  1000:0021 / 103c:1300  (AB306A [Core I/O for the rx86/rp8420 server])

The Diva SP2 should be included next time the IDs are pulled from upstream.  And 
we'll work on getting the other devices included.
Comment 23 Phil Knirsch 2007-12-18 10:49:14 EST
Ok, great, thanks for the update.

The next pull for the PCI IDS will happen mid January for RHEL 5.2. After that
the trees should contain the Diva SP2 and any other IDs that have been submitted
by then.

Read ya, Phil
Comment 24 Phil Knirsch 2008-02-06 06:25:11 EST
1290  Auxiliary Diva Serial Port
		103c 1291  Diva SP2

is now included, still missing the 2 last ones for the LSI controllers though.
Comment 26 Karsten Hopp 2008-03-20 10:19:18 EDT
Still missing in todays PCIID DB:
  1000:0021 / 103c:1310  (A9918A [Core I/O for the rx76xx/rp7420 server])
  1000:0021 / 103c:1300  (AB306A [Core I/O for the rx86/rp8420 server])
Comment 27 Scott Scriven 2008-03-20 16:05:48 EDT
Thanks for the reminder.  Both entries are now filed, and waiting approval:

http://pci-ids.ucw.cz/iii/iii.php?i=10000021
Comment 28 Ronald Pacheco 2008-04-08 11:12:25 EDT
Just a friendly reminder, so long as this gets approved upstream, we will
incorporate when we do our final pull at the end of April.
Comment 30 Scott Scriven 2008-04-08 16:26:37 EDT
It appears to be approved upstream.  The only thing left is to verify after the
final pull.
Comment 31 RHEL Product and Program Management 2008-04-10 10:14:12 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 32 Scott Scriven 2008-04-24 17:58:47 EDT
Just a note for whoever checks on this in later releases, it's easy to verify by
running:

  grep -A 100 ^1000 /usr/share/hwdata/pci.ids | grep '103c 13'

If there are entries for "103c 1300" and "103c 1310", then the fix has been
included.
Comment 33 Phil Knirsch 2008-04-30 09:14:37 EDT
Verified with grep from comment #32 that those are now in the final pull for
pci.ids for RHEL-5.2.

Granting Devel ACK and requesting missing ACKs for proper 5.2 flagging.

Read ya, Phil
Comment 39 errata-xmlrpc 2008-05-21 10:28:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0331.html

Note You need to log in before you can comment on or make changes to this bug.